Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.constructives
Class LSystem

    java.lang.Object
      net.sf.j3d.threeD.raytracer.constructives.LSystem

    public class LSystem

extends Object

Author:
  Mike Murray

Nested Class Summary
`static interface` | `LSystem.Statement`
`static interface` | `LSystem.SurfaceFactory`

Field Summary
`static String` | `BACKWARD`
`static String` | `FORWARD`
`static String` | `LEFT`
`static String` | `POP`
`static String` | `PUSH`
`static String` | `RIGHT`
`static String` | `STEP`

Constructor Summary
`LSystem(Hashtable rules)`

Method Summary
`List` | `generate(List init, int itr)`
`Surface[]` | `generate(Object[] data, Vector d)`
`Vector` | `getBackward()`
`Vector` | `getForward()`
`Vector` | `getLeft()`
`Vector` | `getRight()`
`LSystem.SurfaceFactory` | `getSurfaceFactory()`
`static String` | `print(Object[] data)`
`void` | `setAngle(double angle)`
`void` | `setBackward(Vector backward)`
`void` | `setForward(Vector forward)`
`void` | `setLeft(Vector left)`
`void` | `setRight(Vector right)`
`void` | `setSurfaceFactory(LSystem.SurfaceFactory f)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STEP

    public static final String STEP

See Also:
  Constant Field Values

### FORWARD

    public static final String FORWARD

See Also:
  Constant Field Values

### BACKWARD

    public static final String BACKWARD

See Also:
  Constant Field Values

### LEFT

    public static final String LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final String RIGHT

See Also:
  Constant Field Values

### PUSH

    public static final String PUSH

See Also:
  Constant Field Values

### POP

    public static final String POP

See Also:
  Constant Field Values

Constructor Detail

### LSystem

    public LSystem(Hashtable rules)

Method Detail

### setAngle

    public void setAngle(double angle)

### setLeft

    public void setLeft(Vector left)

### setRight

    public void setRight(Vector right)

### setForward

    public void setForward(Vector forward)

### setBackward

    public void setBackward(Vector backward)

### getLeft

    public Vector getLeft()

### getRight

    public Vector getRight()

### getForward

    public Vector getForward()

### getBackward

    public Vector getBackward()

### setSurfaceFactory

    public void setSurfaceFactory(LSystem.SurfaceFactory f)

### getSurfaceFactory

    public LSystem.SurfaceFactory getSurfaceFactory()

### generate

    public List generate(List init,
                         int itr)

### generate

    public Surface[] generate(Object[] data,
                              Vector d)

### print

    public static String print(Object[] data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD